### Constructor

# GcrUi TreeSelector new

#### Declaration [src]

    GcrTreeSelector*
    gcr_tree_selector_new (
      GcrCollection* collection,
      const GcrColumn* columns
    )

#### Description [src]

Create a new `GcrTreeSelector`.

This constructor is not directly available to language bindings

#### Parameters

`collection` | `GcrCollection`
| The collection that contains the objects to display.
| The data is owned by the caller of the function.
`columns` | `GcrColumn`
| The columns to use to display the objects.
| The data is owned by the caller of the function.

#### Return value

Returns: | `GcrTreeSelector`
| A newly allocated selector, which should be released with `g_object_unref()`
| The caller of the function takes ownership of the data, and is responsible for freeing it.